function [A, I] = Icompute(Memory, TestList);
[MemR, MemC]= size(Memory);
[TestR, TestC] = size(TestList);

% Computes nonlinear summed-similarity metric (I) for each test item.

for TestItem=1:TestR
    for MemTrace=1:MemR
        S=0;
        Nr=0;
        for Feature=1:TestC
            S=S+((Memory(MemTrace,Feature))*(TestList(TestItem,Feature)));
            if (not((Memory(MemTrace, Feature)==0) & (TestList(TestItem, Feature)==0)))
                Nr=Nr + 1;        
            end;
        end;
        if Nr == 0
            A(TestItem, MemTrace)=0;
        else
            A(TestItem, MemTrace)=(S/Nr)^3;
        end;
    end;
end;
I=sum(A');
        