function [stimuli, contexts] = create_stimuli (Inodes, Cnodes, NumItems, NumContexts, minR, maxR)

ItemsPerContext=NumItems/NumContexts;
Tnodes=Inodes+Cnodes;
warning off MATLAB:divideByZero

% Evaluate correctness of numbers of contexts and study items
if not(ItemsPerContext == int16(ItemsPerContext)) error ('  create_stimuli: Improper numbers of items and contexts');
    end;
if NumContexts > 3^Cnodes error ('  create_stimuli: Too many contexts');
    end;
    
% Create items
stimuli = randi([-1,1],NumItems,Inodes);

% Create contexts and makes sure that:
%   (1) no two contexts are exactly the same (keep maxR < 1)
%   (2) the correlation between contexts does not exceed parameter maxR or
%   go below minR
[contexts, BadContextFlag] = subCreate_Contexts(NumContexts, Cnodes, minR, maxR);

while (BadContextFlag == 1)
    [contexts, BadContextFlag] = subCreate_Contexts(NumContexts, Cnodes, minR, maxR);
end;


% Distribute contexts to items
for loop1=1:NumContexts
    Begin = ((loop1-1)*ItemsPerContext)+1;
    End = ((loop1-1)*ItemsPerContext)+ItemsPerContext;
    for loop2=Begin:End
        for loop3=Inodes+1:Tnodes
            stimuli(loop2,loop3)=contexts(loop1,loop3-Inodes);
        end;
    end;
end;
warning on MATLAB:divideByZero





